import _objectWithoutProperties from "@babel/runtime/helpers/esm/objectWithoutProperties";
import * as React from 'react';
import useEventListener from './useEventListener';

function EventListenerWithComputedTarget(props) {
  var resolveTarget = props.resolveTarget,
      rest = _objectWithoutProperties(props, ["resolveTarget"]);

  var targetRef = React.useRef(null);
  React.useEffect(function () {
    targetRef.current = resolveTarget();
  }, [resolveTarget]);
  useEventListener(Object.assign({}, rest, {
    target: undefined,
    targetRef: targetRef
  }));
  return null;
}

EventListenerWithComputedTarget.defaultProps = {
  capture: false
};
export default EventListenerWithComputedTarget;
//# sourceMappingURL=EventListenerWithComputedTarget.js.map
